import { Component, Input, OnInit } from '@angular/core';
import { NzMessageService } from 'ng-zorro-antd';
import { NoticeService } from '../../../service/https/notice.service';

@Component({
  selector: 'app-path',
  templateUrl: './path.component.html',
  styleUrls: ['./path.component.styl']
})
export class PathComponent implements OnInit {
  @Input() datas: any;
  data;
  mailData: any;
  messageData: any;
  qywechatData: any;
  dingtalkData: any;
  wechartRobotData: any;
  dingdingRobotData: any;

  constructor(
    private noticeService: NoticeService,
    public message: NzMessageService,
  ) {}

  ngOnInit() {
    this.queryData();
  }

  queryData() {
    this.noticeService.queryConfig().subscribe(
      resp => {
        if (resp.status === 200) {
          // console.log(resp.data);
          this.data = resp.data;
          this.processData(this.data);
        } else {
          this.message.error(resp.msg);
        }
      },
      error => {
        this.message.error('服务器错误');
      }
    );
  }

  processData(allData) {
    allData.forEach((item) => {
      if (item.type === 'mail') {
        this.mailData = item;
      }
      if (item.type === 'message') {
        this.messageData = item;
      }
      if (item.type === 'qywechat') {
        this.qywechatData = item;
      }
      if (item.type === 'dingtalk') {
        this.dingtalkData = item;
      }
      if (item.type === 'webhook') {
        this.wechartRobotData = item;
      }
      if (item.type === 'robot') {
        this.dingdingRobotData = item;
      }
    });
  }

}
